## uade 2.13

=== Makefile ===
PACKAGE:=uade
VERSION:=2.13
SOURCE:=$(PACKAGE)-$(VERSION).tar.bz2

include ../Rules.make

=== doc/Makefile ===

all:	design.ps

design.pdf:	design.dvi
	dvipdf $<

design.ps:	design.dvi
	dvips -o $@ $<

design.dvi:	design.tex
	texi2dvi -c $<

=== debian/changelog ===
uade (2.13) unstable; urgency=low

  * Initial package

 -- Kaj-Michael Lang <milang@tal.org>  Sun, 14 Feb 2010 21:41:00 +0200

=== debian/control ===
Source: uade
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, pulseaudio-dev, libao-dev
Standards-Version: 3.8.0

Package: uade
Architecture: any
Section: user/multimedia
XB-Maemo-Display-Name: Unix Amiga Delitracker Emulator
Depends: ${shlibs:Depends}, pulseaudio, libao0
Description: Unix Amiga Delitracker Emulator for the command line
 UADE plays old Amiga tunes through UAE emulation 
 a free (as in freedom) implementation of 
 Eagleplayer and Delitracker API for UNIX.

## uade 2.13-1

=== debian/changelog ===
uade (2.13-1) stable; urgency=low

  * Add bugtracker url
  * Add icon

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 23 Feb 2010 14:45:00 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,23 @@
 Section: user/multimedia
 XB-Maemo-Display-Name: Unix Amiga Delitracker Emulator
 Depends: ${shlibs:Depends}, pulseaudio, libao0
+XSBC-Bugtracker: http://garage.maemo.org/projects/mgstmodplug/
 Description: Unix Amiga Delitracker Emulator for the command line
  UADE plays old Amiga tunes through UAE emulation 
  a free (as in freedom) implementation of 
  Eagleplayer and Delitracker API for UNIX.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAMAAABg3Am1AAAAAXNSR0IArs4c
+ 6QAAAGBQTFRFBgQFaE5UjnqDopilubTCycfOVjo8BBnI1tbYQTI8PCYn3+Dk
+ jl5eRlfMCRSwLiAltHx95ujnU1axMDiqFRygJBgdb3vR/v7+xpydX1aVHhUc
+ OjiNIzjIeX68kZvcc2ZryE+svQAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0
+ SU1FB9oCFwwoBwJca8IAAAGXSURBVEjH7dRdc6wgDAbgFwhZvixqiyh29P//
+ ywa3e+acc9PZ2856lUEeTEJG1CcfvMAL/B7gmZ8CbEz0T4ET9jmwYf0BxP/B
+ eIFpegATaZZtRKSqW2miSqm/MaO11Z6qAyJrKW7hAra1pVa7we+RDg8gj4up
+ ltYCtLEDZV2WdeVyBw64g7CvBHiWfeNQjZHYI0tKbDTAcpQXcYH5DuYFhSjp
+ A1i1AzvJalNI4zs46rEW+ONfIB3RkmbakHSCNbU6LYAySJvPgqbs3yCfAc4J
+ UDcwIbjronekiEBDRksHlzsYBMwIHcRvYBGWDpJ8QeJNSp545zM/ijYD8qxg
+ +uCkN7BpmHp6ukBXtBrMzGdD8Kg6Q+9FeygWNHHRtw+wepfcOegbMsldsOUm
+ H25RUvJv0rONgYl0kLqkXAH7JKtpTeinSRzUKVv8Rx8NJUJuywa5LO6hHOF9
+ tlfcaK+1xHDFOt9niZ1nRbn35IzM+hjOM1RvFqWUuwYpm4W9cuXP8JWmH9NW
+ mqlk6Jo3ac1jWWZAv34zL/DbwReWlbI/yMQeTAAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_TAR_SRCDIR:=uade-2.13

include /usr/share/cdbs/1/rules/tarball.mk
include /usr/share/cdbs/1/class/autotools.mk

DEB_OPT_FLAG:=-O2 -pipe
DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt
DEB_MAKE_INSTALL_TARGET=install BINDIR=$(DEB_DESTDIR)/opt/bin \
	DATADIR=$(DEB_DESTDIR)/opt/share/uade2 DOCDIR=$(DEB_DESTDIR)/opt/share/doc \
	MANDIR=$(DEB_DESTDIR)/opt/share/man/man1 LIBDIR=$(DEB_DESTDIR)/opt/lib/uade2

## uade 2.13-2

=== debian/changelog ===
uade (2.13-2) stable; urgency=low

  * Optimize for neon
  * Add symlink to uade123 binary in Fremantle package
  * Add links for more information to description
  * Add CLI overlay to icon

 -- Kaj-Michael Lang <milang@tal.org>  Tue, 23 Mar 2010 11:32:00 +0200

=== debian/control ===
Source: uade
Priority: optional
Maintainer: Kaj-Michael Lang
Build-Depends: debhelper (>= 4.1.0), cdbs, pulseaudio-dev, libao-dev
Standards-Version: 3.8.0

Package: uade
Architecture: any
Section: user/multimedia
XB-Maemo-Display-Name: Unix Amiga Delitracker Emulator (CLI only)
Depends: ${shlibs:Depends}, pulseaudio, libao0
XSBC-Bugtracker: http://garage.maemo.org/projects/mgstmodplug/
Description: Unix Amiga Delitracker Emulator for the command line.
 UADE plays old Amiga tunes through UAE emulation a free (as in freedom) implementation of Eagleplayer and Delitracker API for UNIX.
 It supports over 200 formats. See more at http://zakalwe.fi/uade/ and http://en.wikipedia.org/wiki/Unix_Amiga_Delitracker_Emulator 
 NOTE: UADE will eat your battery as playback is done trough emulation and it takes a lot of CPU.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAAAAAAAA+UO7fwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9oDFwkLEASNcj8AAAAZdEVYdENvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJ
 TVBXgQ4XAAAPPklEQVRo3tWaeZAc5XnGf9/V58xe0q60EhK7oAuQhLgMskAB
 cxQyxC5XjKtSFTuV4MTxEZyKHR8hxhd2bFN2xXZSOCS2A3Ywjk2AAixsQCCB
 ELIQAt1itULSSkhaHSutVtqZ6e7vyx89PTsLMrZTlYrora6Znumefp73e973
 e763VzjnHPXtiSee4JkVK9izZ4Ass/ieh+cZPD/A4ZBCIgRIqdDGoJRECIFW
 GqkkUgiEAG08jDEoKZFKobVBa40UAqUknuehtcF4GqMNxpj8HKPxPA/PePl7
 46FN/r0xGs/zCXwfz/fRWgOgAdI05dZb/57169ailSRLE5SSaK0QQGYtzjmy
 zJJl+XvnAAEgcFhAIKVACI2UIIREKY3WCq01WptGMDzj4Qc+QRDgBwFhEBFG
 IWEYEoURYRgSRvXXMCQIQwI/IAgT0jQlyFLCMMqJA9x330/YP7ATIaD/1V2c
 HB3FWosAhBAgBFLkAB35CAgEoh5xIfPoS6WQQqKNQiqNUQrjeRit0cbDMxrf
 r+L5PmEtpJakhKnFuvweBWllDCbLsLYeKAdSSqSQ9VGXZFmGUgqdJAmrVz3L
 8PAwy5avJE1ThJR18IAVCCUKleUykgIpZX4s5bg9B6vr0dcYY/B9D8/z8X2f
 MEwJ0oxctwKpDNokeF5KZh3WMRYcKZFKorRGKpW/StW4l3MOvWfPHk4cH2bD
 lm2kWYYxhkZaZIAP1HK5CFnfhcA5l49OfSuucbj6d9TzJY9sPkKyQUpr3dB3
 M8HA9/EDP9d74OP7Ab7v43le4zqlVH30BXJw8ABHDh/h+MgJtFI5kARcFTAO
 880EMT/D1fLPnANrizzId2ttHk8h6omR/7iSCiXzHDD15DTG4HseQRASBEFd
 5xFxFBHV9zCMiOOYMIzyPPFzcs0EChLy+PAwlVqNWi3JAWRAl8O7MyHaUcP7
 kCVakRI8XEOcZ7FVi6NRuN4go+LH8yrj4dVv3gw2inOgpVKJUqlEHMeUyuX8
 ff14jEz4piOgT5w8SbWWYLMsl0AG/rdTvPdZag8IxERgBMyNDjk3oXKhjzwp
 EVq8DvCY5j3Pw/O8RuQK8AWwUqmcg64TKNfBNxMKw3yEgiAYB15K2QAPIGvV
 Gkma5tKxAhGCusxhK1C5SWNfFtT+ylD9lsQ+L5EdAsGbgz8V8AJ8AbZcLtPS
 0kJLSwvlcrnxeXFeQeD10ikIFJtOkoQkyfKJSgnSKrg+UNPB/9cM2eMQkx3p
 p/1cc1ogvTHwxpjG66nAF1IoIt5M4DdFvpBNAb5Z883gAWSlWiVJs3qZAYmg
 +klNtlng32wxVzuCZQnegxXUJRbJWNSLH28GnpfKsAG60HoBuDnyzYR+W+RP
 BT6XUK1GltmxLzW49YrRCzxG32lIXxC4VwXmBof3WAU536KdbsimWe9jiToW
 +deDb4588wg0g38zzZ+SgHN1Ao48BxZb5EWW7HGN3ShIbwxJvmAQZZDXZuj6
 j+c13G9ELAiC3yvyBYH/LXgAndarjxAC7TRpR43gyRruAFTervJp3JcIL79A
 JYV89DjZNCdsGIZvqDAF4DiO3wD89aWySNZitn+zTSdJXv+llGQmQwwokjs0
 3qdTgi0VGAGuH0F2g31F4P8yxjcenvbxtU+gfUIvJPRzIxaFEWHp1AQKrTfr
 XUqZz47whqg3GeXfTCBL0wZbKy3CCOznfaobFeq6DLkkRWzQcKdP8ECZ8FiE
 7BS41hRrJJkvSXyF8gQqEASeTynOwbe0tDSqTwG8VCo1cmTDCy8ycuQo7ZOn
 UKsmzDr3HGbM7gFozO6/lUAhn4ZB0g4nHeL+APmgwt0+gvdvrXiHQzzP4IcB
 x68/yIk/PZSbrqY/BExbMYvZe+cQlaJxSVoulxv5Ucht6+q1+BNnsGtgLede
 uJDNm/cxc07vm2r+DQSstY1JqeFxhEN5eblU3+zACIMX12dY3zBpxXTM2t66
 nwmJwpAoionCkLaojbg9PmWNL/KjyBsvCNm45RV+eM83+Kev30X3mec05PQ7
 ExBCNCaKgkChR6UUxhXA83IZBAGhColERKxjIj+iFJUpl+vlMI4olceiXsim
 OfpFjU9Si00NxgvIhg5iz5wzztkqpcaBtc7i7HgXrIuDwgsVUhqbQOoW2dqG
 NwmjkCiOcM4xOLifA/v30dbWzszZM5k8ZfI4n1MkbBzH7Ni+g0N79iKkZNbc
 uRgBVCtIKakeP4bL0oaTlVKy4aX1rF+7FpyjZ+YsFlx8MXEckGVZg4SuVatU
 K5V8aZhZklpCVIrRWpPUatjEolSV1BhOHK8yb8E52Mzy2s7dBNoQhhFSarKT
 NdY/t47+9X0sfMfldHd3E8cxfhCwe/sO1vxqORM7JoCnMSbgiU2PIRNVt9+O
 JM2wNiGzlu2bNvPSM6vBhIiaZeTEMGt3reGBu+/n0qsu5/p3X0OppRWbZWgh
 JcZ4VKvVfARUfe3qebg0xfllThzfTxx2kLgyw0NHUbqFsNzJwK4+jg4dwqYp
 xmimTu7m/Dnns2ndXpJKlSXvvoFVjz/J8RGPLJzKfUvvZ/++3Ugh6Jo4geuv
 fCcmzCeYmhNkTrL07nuQ8RRO6ICf/tdPGejfSJokTGxvZ96589n36kE+99kf
 8KWvfoBSuR2plSJLHbmlSFFS4Xl+vXOgUdJQqdVw1uKZAJlITo7UWLVqGUcO
 D9IzaTLzes9i6oSJ9O0e4Oe/fJgw28u6lyWrn3oSPyhRGR7gju98liNDB7hi
 0WIWL7iA4eFhHn3qCbRLc90L2LT8KWzUy0MPLOeTn/oIg68NcOUll7F43vnU
 koR7H32I/7z3u1y0YAbf++dHsNailZT51fVNCIHv596mNjqKc36eUFISxy1I
 z7DlpZV0trfz7iVLaJvYRXW0SuYMi0YkP3/4Xn72yKPc/qV38OuVO1m0UHP7
 t7/Fu274Qz5z2+c4sOcIxw4cZPE1CUP7j7B+ex8CqNQS5i1YxJNLt/LAY9/h
 hiuv45bPfJ5DO3eR4XFtJeC22z7Ouv5XuPf7dzDv0pvYt3cQmc+EY8tBIWTD
 GnjGYLRpzIxeUOLQ4RGytMY1i66gQiuTz5jC+ZddxEVvmwv2AIsWfZCDJ4bZ
 vXE13bMW8tMHnyAOYz760Y8xfPgIc+f3svDqiznvkl4q6TCjaS4h7SxHalNZ
 s/YHdLROYPFVf8K2p59mdCTl18/+mju+9RkGj+3mnDOms/gd13D06DGsc+jm
 UiUECGRjojlhDFnqgXMopSmVPPYPDBH4PnFrNyaOOWvWzIa/Wf/cStpthBQB
 W/tf5YoLJrBp2w56JnUyemyEuZdeQNfkLgDO6OnhFz/7BWmmcAiEkhwfSdk5
 uJc5PWfQPbWLgd2Ge+76Lmu3v0BrXOYj77uJ8y6/iYd+ci9tXdDeXkYrrRCM
 +Q8ldcOUHfM8JEHebVMKP4jzxpWAzGpa4xZK5VLugaKISs3ieQaHRCRVFBnV
 0RPYUNDfN8LMBeMnoYMHBhGqA7BIpTh5/BBpmuCcY+XDv+LHS+9EG4/3XHsj
 82bOJ+ju4YVVW+g+qxXJGfz4P+5DKqURor7CFxKlPYw2RFGEBPywDescvu9R
 q3h0dEzhZLWKrg0xOHiSuG6b1zz3PNN6ehmt+EiRd+aOH7e0tU1g75GjeLbG
 yuWrG5PmM08+xYw5s+h7pR8jNdOmTcNlEeUo5MjRI5Q7z+OGyxZz66dup63j
 TGw5YPOaDaxY+RD3/ORuDg4ewFqB9oMAPwjxdECleoIpU0ps2rCDiR0+ra2d
 9Pf14xx0TZrMwcEhpk/vpm9HwJPPreC6d97MN7/4XSZODCmVWhncN4XWaD8O
 SWod1WrCvJkX8Mjyl9m48Vd0nVzCF265lc7uVo4dPMyx9GJeHfgy888+Cxv3
 Eh7tY3rX23m5/xG2736Q9370K9z1ta8w45w2try4i/buhfQPbKSzYyJ+WOai
 t12MjOOYcoukvbUX6yy7d/XR2mKw+OzavYdDxzYzobUNzHR6zzZEHsw481L6
 X9vJ47/8d5SnOFnRrH+pj2dWfg1BVK9aguGhg1y44CJ6O+fyw4fuZ+uLPyZD
 s3fvUfpfq3LPj/6aOPR43x9/jA2b+mntGOS6JX/EpNbzuP+xh/mXr3yIs887
 g2oiGZUtfP/uL4Id5cYl76VjUidz581Al8tlJnZ1cWhwiDO9Beze/RJ9O/rq
 7TZoi2Mufdu1nBg9zp/9zc08u+xppkydQnn1ZDZue4D+B3+EkArhHFdcsAA/
 LmOzUYbTDKlTXtuzgg/fciv33f09Hlr+NPbp5QghSNOM3qlTef/7b+Hxpzdz
 5w8+QceECfzdX3yYm2/+CP/9s7t5dt0anlm3DiEE1jo6W1v54Ic+z+rVu/jy
 P15BXIoRS5cudc8//zzr1r7Igb37CeMujg7tQ9iErklddE+by/79g/z5B9/D
 tOnTiKKIe+76PrEfYelk5/YXSNMKs2fPJppwPmRVRoa24XuKmp7JX374Ku64
 7UucO+9yDh84wNYtm8lqx5g5ZxaTey5kw4atfPKzH6Dn7F6staRpyj98/BNM
 mrqAw4OH2bZpJbW0woyZs+iZfQnPPvscX/3G3zJz9qzcEy1btsytXr2aSqXC
 0aEh9u15DYckDDy0iZkwoZWrrv4DJnZ2Nta8URTRt3Ubm9dvBKlQMiBLLWfP
 6ObVHQNkLkApwbz5PSy8YjEAjz/yKAcHD3NyNKNWq+H7MZMntXL51Ytobesg
 a1raZpnl8V8sZc/ufdRqSb3r7dPaHvCu99xAXG4ZO3/VqlVuzZo1DS/k1Rus
 cRw3mk6nankUlthZW3+IkS8HXe578y5N07JQCIGzjlpSw1mH8UzDLp9q6ZjL
 xpLUagAY4yGVfMP5uqj5xhikzJ+eNDeimsEXixFT7yorpZD16xo3znvw44A0
 3kuB7/unBHvKlomU+EHwpudrz/Ny2+v7dR/kj2uNFHsR+YbJ+z06B/+Xm/br
 csmyLGdcJ9Ac9VNFvlh0/H9v4wgopRpGrlj+NS8BTzfw4yRkrW0QKEicSjan
 E3gAbYwhikKcyz2/qS/cT/VU5PWt7dOCgNaaIAgRApQa/4CikE2RrKcb+AaB
 MAzzA6WaHiyPNVhPV/AAWsp8AVPU3eJhxW/ry582BIoHFEUjqSDxu7S2T5sR
 MMbQ3CN9K0R+XGdOa914cP1WiXzDVrh8y/83Qoi3FPgGgWaH91YCD/A/i/6S
 cPdgl0YAAAAASUVORK5CYII=

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,28 @@
 include /usr/share/cdbs/1/rules/tarball.mk
 include /usr/share/cdbs/1/class/autotools.mk
 
-DEB_OPT_FLAG:=-O2 -pipe
+IS_FREMANTLE=$(shell if grep Fremantle /etc/maemo_version &> /dev/null; then echo y; else echo n; fi)
+
+ifeq ($(IS_FREMANTLE),y)
+DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=cortex-a8 -mfloat-abi=softfp -mfpu=neon -ftree-vectorize -ftree-vectorizer-verbose=2
 DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/opt
 DEB_MAKE_INSTALL_TARGET=install BINDIR=$(DEB_DESTDIR)/opt/bin \
 	DATADIR=$(DEB_DESTDIR)/opt/share/uade2 DOCDIR=$(DEB_DESTDIR)/opt/share/doc \
 	MANDIR=$(DEB_DESTDIR)/opt/share/man/man1 LIBDIR=$(DEB_DESTDIR)/opt/lib/uade2
+else
+DEB_OPT_FLAG_armel:=-O2 -fomit-frame-pointer -pipe -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
+DEB_CONFIGURE_NORMAL_ARGS:=--prefix=/usr
+DEB_MAKE_INSTALL_TARGET=install BINDIR=$(DEB_DESTDIR)/usr/bin \
+	DATADIR=$(DEB_DESTDIR)/usr/share/uade2 DOCDIR=$(DEB_DESTDIR)/usr/share/doc \
+	MANDIR=$(DEB_DESTDIR)/usr/share/man/man1 LIBDIR=$(DEB_DESTDIR)/usr/lib/uade2
+endif
+
+DEB_OPT_FLAG_i386:=-O2 -fomit-frame-pointer -pipe -march=i686 -mtune=pentium2
+DEB_OPT_FLAG:=$(DEB_OPT_FLAG_$(DEB_HOST_ARCH))
+
+install/uade::
+ifeq ($(IS_FREMANTLE),y)
+	install -d -m 755 debian/uade/usr/bin
+	cd debian/uade/usr/bin && ln -sf /opt/bin/uade123 uade123
+endif
+
